Bug 198206 - patch to make default config file work when modules are commented out
patch to make default config file work when modules are commented out
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: httpd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Depends On:
  Show dependency treegraph
Reported: 2006-07-10 10:22 EDT by Russell Coker
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-14 11:15:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to fix this bug (3.00 KB, patch)
2006-07-10 10:22 EDT, Russell Coker
no flags Details | Diff

  None (edit)
Description Russell Coker 2006-07-10 10:22:52 EDT
Created attachment 132178 [details]
patch to fix this bug
Comment 1 Russell Coker 2006-07-10 10:22:52 EDT
The attached patch puts <IfModule> directives around the config file 
directives that match every module that you might want to disable.

This means that to disable modules you merely have to comment the LoadModule 
directives, not hunt through the entire httpd.conf commenting things out all 
the way.

This is really handy when building a system to meet security standards 
documents specifying that all unnecessary software be disabled or removed.
Comment 2 Joe Orton 2006-12-14 11:15:12 EST
Thanks for the suggestion and patch.

It is generally not desirable to over-use <IfModule in the default
configuration: if should be clear that if you disable modules then use of the
corresponding directives should cause a configuration error.  Otherwise, it
becomes a "silent failure" if people accidentally comment out a certain module,
which can be confusing and hard to diagnose.

Note You need to log in before you can comment on or make changes to this bug.